+-------------------------------------------------------------------------------
| Running gotosocial on OpenBSD
+-------------------------------------------------------------------------------

GoToSocial Management
=====================

On OpenBSD GoToSocial is installed in /var/gotosocial and
runs as dedicated user _gotosocial.

GoToSocial management tasks must be run as the _gotosocial user using
doas(1), sudo(1) or su(1).

For example, to create an account:

    $ doas -u _gotosocial gotosocial \
        --config-path /etc/gotosocial.yaml admin account create \
            --username username \
            --email some_email@whatever.org \
            --password PASSWORD

To confirm it:

    $ doas -u _gotosocial gotosocial \
        --config-path /etc/gotosocial.yaml admin account confirm \
            --username username

Promote to admin rights:

    $ doas -u _gotosocial gotosocial \
        --config-path /etc/gotosocial.yaml admin account promote \
            --username username
